summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optionals/log_prefix_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optionals/log_prefix_0')
-rwxr-xr-xtests/shell/testcases/optionals/log_prefix_016
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/shell/testcases/optionals/log_prefix_0 b/tests/shell/testcases/optionals/log_prefix_0
new file mode 100755
index 00000000..513a9e74
--- /dev/null
+++ b/tests/shell/testcases/optionals/log_prefix_0
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+TMP=$(mktemp)
+
+RULESET='define test = "state"
+define foo = "match, logging"
+
+table x {
+ chain y {
+ ct state invalid log prefix "invalid $test $foo:"
+ }
+}'
+
+$NFT -f - <<< "$RULESET"